import Taro from '@tarojs/taro';
import { View, SwiperItem, Button } from '@tarojs/components';
import './style.less'

export default (props) => {
  const { disabled, marginTop, marginButtom, title, onClick, width } = props;

  return (
    <View slot='button' style={{ margin: `${marginTop || '4'}em 0 ${marginButtom || '2'}em 0` }}>
      <Button onClick={onClick || ''} disabled={disabled || false} style={{ backgroundColor: !disabled ? '#fbd804' : '#858585', width: `${width || ''}vw`, borderRadius: '40px', color: '#000', border: '0px' }} class='weui-btn' type='primary' formType='submit'>{title || '确定'}</Button>
    </View>
  )
}




