import { View } from '@tarojs/components'
import ViewIcon from '../ViewIcon'
import './style.less'

export default (props) => {
  const { title } = props
  return (
    <View className='nodataBox'>
      <ViewIcon icon='noData' size={70} color='#FBD804' />
      <View>{title || '暂无信息'}</View>
    </View>
  )
}