import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import './style.less'

export default (props) => {
  const { size, icon, color, bold = 400 } = props;
  const styleIcon = {
    display: 'inline-block',
    fontSize: `${size}px`,
    color: color,
    fontWeight: bold,
  }

  return (
    <View className={`iconfont icon-${icon}`} style={styleIcon}></View>
  )

}