import { useState } from "react"
import { login } from "@/services/dogAPI"


export default () => {
  const [dogs, setDogs] = useState([])
  const [cards, setCards] = useState([])
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()

  const logins = (params) => {
    console.log('login');

    login(params).then((res) => {
      const { person: taPerson, sessionKey: skey, pets, cards : ds } = res;
      // taPerson.phone = null
      setPerson(taPerson);
      setDogs(pets);
      setCards(ds);
      setSessionKey(skey);
    })
  }

  return {
    dogs,
    setDogs,

    cards,
    setCards,

    person,
    setPerson,

    sessionKey,
    setSessionKey,


    logins,
  }
}