import { Component } from 'react'
import Taro from '@tarojs/taro';
//at.alicdn.com/t/font_3429358_khwsvk6pgxm.css
import store, { StoreRoot, useModel } from './store'

import './app.less'
import { View } from '@tarojs/components';

class App extends Component {

  componentDidMount () {

  }

  componentDidShow () { }

  componentDidHide () { }

  componentDidCatchError () { }
  onLaunch (options) {

    const { logins, setUserLocation } = store.getModel('userData').getState()


    // 登录获取人员信息
    Taro.login({
      success: (res) => {
        const { code } = res;
        logins({ code })
      }
    })
    Taro.loadFontFace({
      family: 'iconfont',
      source: 'url("//at.alicdn.com/t/font_3429358_b3st3skuaa.ttf?t=1653905493726")',
      success () {
        console.log('字体加载完成👍');

      },
      fail (e) {
        console.log(e, '👈字体加载失败');
      }
    })



  }

  // this.props.children 是将要会渲染的页面
  render () {
    return <StoreRoot>
      <View className='pages-index'>
        {this.props.children}
      </View>

    </StoreRoot>
    // return this.props.children
  }
}

export default App
