import { Slot } from '@tarojs/components';
import FieldLabel from './FieldLabel'

export default function (props) {
  const { title, required = false } = props

  return (
    <mp-cell>
      <Slot name='title'><FieldLabel required={required}>{title}</FieldLabel></Slot>
      {props.children}
    </mp-cell>
  )
}
