import React from 'react'
import { useModel } from '@/store'

export default function withBasic (Comp, Loading) {
  return (props) => {
    const { person } = useModel('userData')
    const loading = !person || !person.personId

    return loading ? <Loading /> : <Comp />
  }
}
